post
https://saner.secpod.com/AncorWebService/perform
Saner Agents upload endpoints’ reports onto the Saner Server after each scan. This method allows you to fetch reports of the endpoints. Support added to fetch results with tagname and tagvalue, and includeDSI. To retrieve a device report with Detailed System Information, you need to pass the key ‘includeDSI’ and specify its value as true. By default, the value for key ‘includeDSI’ is set to false.
The response is returned as a ZIP file containing the device report.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Hostname of the device to fetch report | Yes | string |
| ip | IP address of the device | No | string |
| mac | MAC address of the device | No | string |
| tagname | Tag name used to filter device report | No | string |
| tagvalue | Tag value used along with tagname | No | string |
| includeDSI | Whether to include Detailed System Information (true or false) | No | string |
